## MilterProtocol MilterProtocol — Milter protocol |

## Functions

gint | milter_status_compare ()

## Types and Values

#define | MILTER_CHUNK_SIZE
enum | MilterCommand
enum | MilterSocketFamily
enum | MilterReply
enum | MilterStatus
enum | MilterMacroStage

## Description

TODO

## Functions

### milter_status_compare ()

    gint
    milter_status_compare (MilterStatus status1,
                           MilterStatus status2);

## Types and Values

### MILTER_CHUNK_SIZE

    #define MILTER_CHUNK_SIZE 65535

### enum MilterCommand

#### Members

MILTER_COMMAND_ABORT |  |
MILTER_COMMAND_BODY |  |
MILTER_COMMAND_CONNECT |  |
MILTER_COMMAND_DEFINE_MACRO |  |
MILTER_COMMAND_END_OF_MESSAGE |  |
MILTER_COMMAND_HELO |  |
MILTER_COMMAND_QUIT_NEW_CONNECTION |  |
MILTER_COMMAND_HEADER |  |
MILTER_COMMAND_ENVELOPE_FROM |  |
MILTER_COMMAND_END_OF_HEADER |  |
MILTER_COMMAND_NEGOTIATE |  |
MILTER_COMMAND_QUIT |  |
MILTER_COMMAND_ENVELOPE_RECIPIENT |  |
MILTER_COMMAND_DATA |  |
MILTER_COMMAND_UNKNOWN |  |

### enum MilterSocketFamily

#### Members

MILTER_SOCKET_FAMILY_UNKNOWN |  |
MILTER_SOCKET_FAMILY_UNIX |  |
MILTER_SOCKET_FAMILY_INET |  |
MILTER_SOCKET_FAMILY_INET6 |  |

### enum MilterReply

#### Members

MILTER_REPLY_ADD_RECIPIENT |  |
MILTER_REPLY_DELETE_RECIPIENT |  |
MILTER_REPLY_ADD_RECIPIENT_WITH_PARAMETERS |  |
MILTER_REPLY_SHUTDOWN |  |
MILTER_REPLY_ACCEPT |  |
MILTER_REPLY_REPLACE_BODY |  |
MILTER_REPLY_CONTINUE |  |
MILTER_REPLY_DISCARD |  |
MILTER_REPLY_CHANGE_FROM |  |
MILTER_REPLY_CONNECTION_FAILURE |  |
MILTER_REPLY_ADD_HEADER |  |
MILTER_REPLY_INSERT_HEADER |  |
MILTER_REPLY_SET_SYMBOL_LIST |  |
MILTER_REPLY_CHANGE_HEADER |  |
MILTER_REPLY_PROGRESS |  |
MILTER_REPLY_QUARANTINE |  |
MILTER_REPLY_REJECT |  |
MILTER_REPLY_SKIP |  |
MILTER_REPLY_TEMPORARY_FAILURE |  |
MILTER_REPLY_REPLY_CODE |  |

### enum MilterStatus

#### Members

MILTER_STATUS_DEFAULT |  |
MILTER_STATUS_NOT_CHANGE |  |
MILTER_STATUS_CONTINUE |  |
MILTER_STATUS_REJECT |  |
MILTER_STATUS_DISCARD |  |
MILTER_STATUS_ACCEPT |  |
MILTER_STATUS_TEMPORARY_FAILURE |  |
MILTER_STATUS_NO_REPLY |  |
MILTER_STATUS_SKIP |  |
MILTER_STATUS_ALL_OPTIONS |  |
MILTER_STATUS_PROGRESS |  |
MILTER_STATUS_ABORT |  |
MILTER_STATUS_QUARANTINE |  |
MILTER_STATUS_STOP |  |
MILTER_STATUS_ERROR |  |

### enum MilterMacroStage

#### Members

MILTER_MACRO_STAGE_CONNECT |  |
MILTER_MACRO_STAGE_HELO |  |
MILTER_MACRO_STAGE_ENVELOPE_FROM |  |
MILTER_MACRO_STAGE_ENVELOPE_RECIPIENT |  |
MILTER_MACRO_STAGE_DATA |  |
MILTER_MACRO_STAGE_END_OF_MESSAGE |  |
MILTER_MACRO_STAGE_END_OF_HEADER |  |